Skip to main content
GET
/
v1
/
organisations
/
{organisationId}
/
clients
/
{clientId}
/
wallet
Get client wallet
curl --request GET \
  --url https://api.halth.com/v1/organisations/{organisationId}/clients/{clientId}/wallet
{
  "id": "<string>",
  "customerId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "paymentMethods": [
    {
      "id": "<string>",
      "brand": "<string>",
      "last4": "<string>",
      "customerId": "<string>"
    }
  ],
  "healthFundCards": [
    {
      "id": "<string>",
      "memberNumberLast4": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "healthFundId": "<string>",
      "healthFund": {
        "id": "<string>",
        "name": "<string>",
        "capabilities": {
          "claims": "active",
          "rebatesEstimates": "active"
        }
      },
      "cardholders": [
        "<string>"
      ],
      "fingerprint": "<string>",
      "verified": true,
      "defaultReferenceNumber": "<string>",
      "issueNumber": "<string>",
      "verifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "medicareCards": [
    {
      "id": "<string>",
      "memberNumberLast4": "<string>",
      "referenceNumber": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "fingerprint": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "dateOfBirth": "<string>",
      "verified": true,
      "secondInitial": "<string>",
      "sex": "<string>",
      "verifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "walletCards": [
    {
      "id": "<string>",
      "source": "client",
      "type": "health_fund_card",
      "createdAt": "2023-11-07T05:31:56Z",
      "paymentMethod": {
        "id": "<string>",
        "brand": "<string>",
        "last4": "<string>",
        "customerId": "<string>"
      },
      "healthFundCard": {
        "id": "<string>",
        "memberNumberLast4": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "healthFundId": "<string>",
        "healthFund": {
          "id": "<string>",
          "name": "<string>",
          "capabilities": {
            "claims": "active",
            "rebatesEstimates": "active"
          }
        },
        "cardholders": [
          "<string>"
        ],
        "fingerprint": "<string>",
        "verified": true,
        "defaultReferenceNumber": "<string>",
        "issueNumber": "<string>",
        "verifiedAt": "2023-11-07T05:31:56Z"
      },
      "medicareCard": {
        "id": "<string>",
        "memberNumberLast4": "<string>",
        "referenceNumber": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "fingerprint": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "dateOfBirth": "<string>",
        "verified": true,
        "secondInitial": "<string>",
        "sex": "<string>",
        "verifiedAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "defaultPaymentMethodId": "<string>",
  "defaultHealthFundCardId": "<string>",
  "defaultMedicareCardId": "<string>"
}

Path Parameters

organisationId
string
required
clientId
string
required

Response

200 - application/json
id
string
required

Wallet ID

customerId
string
required

Payments customer ID

createdAt
string<date-time>
required

Created at timestamp

paymentMethods
object[]
required
deprecated

Payment methods linked to the wallet. Use walletCards instead.

healthFundCards
object[]
required
deprecated

Health fund cards linked to the wallet. Use walletCards instead.

medicareCards
object[]
required
deprecated

Medicare cards linked to the wallet. Use walletCards instead.

walletCards
object[]
required
defaultPaymentMethodId
string
defaultHealthFundCardId
string
defaultMedicareCardId
string